Bug Requires Emergency Release of 2.4.3 Only One Week After 2.4.2

979

Recently Moodle.org released Moodle 2.4.2 (one of the minor updates that happen between major release cycles) but due to a “major regression” introduced before the codes release an emergency release of Moodle 2.4.3 followed only a week after to remedy the issue.  The issue was identified early and posted at Moodle.org on 3/15,

WIRIS

Following the releases of Moodle 2.4.2, 2.3.5 and 2.2.8 on Monday 11 March 2013, it was discovered that a serious regression (MDL-38474) had been introduced immediately prior to the release. Due to the severity of the issue, new 2.4.2+, 2.3.5+ and 2.2.8+ packages including a fix are available today, and 2.4.3, 2.3.6 and 2.2.9 packages are planned for release on Monday 18 March 2013.

If you have upgraded your site to 2.4.2, 2.3.5 or 2.2.8 then we strongly recommend that you upgrade your site again as soon as possible, either to 2.4.2+, 2.3.5+ or 2.2.8+ today, or to 2.4.3, 2.3.6 or 2.2.9 on Monday. As always, packages are available from the Moodle download page or via our Git repository.

You can check that the regression is fixed on your site by checking that the build number in Settings > Site administration > Notifications is 20130315 or bigger.

Apologies for the inconvenience caused by this regression and we hope that you are able to upgrade very soon.

According to the release notes of 2.4.3 the regression prevented teachers from accessing server files [bug notes: http://tracker.moodle.org/browse/MDL-38474]. The rapid release of 2.4.3 on 3/18 included all of the features, updates, security and bug fixes of 2.4.2 in addition to addressing the regression.

Read more of the 2.4.3 release at http://docs.moodle.org/dev/Moodle_2.4.3_release_notes.